#pragma once
#include "afxwin.h"
#include "HwmAgentNotifyDef.h"

// demoConfInfoDlg 对话框

class demoConfInfoDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoConfInfoDlg)

public:
    demoConfInfoDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoConfInfoDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_CONF_INFO_DIALOG };
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual void OnCancel();
    virtual void PostNcDestroy();
    virtual BOOL OnInitDialog();
    DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    afx_msg void OnMouseLeave();
    afx_msg void OnMouseHover(UINT nFlags, CPoint point);
    afx_msg LRESULT OnConfInfo(WPARAM wParam, LPARAM lParam);

public:
    bool m_bTracking;
    hwmsdkagent::HwmConfInfo confInfo;
    CStatic m_subject;
    CStatic m_id;
};
